List Dashboard Widgets

List Dashboard Widgets

GET https://api.ocamba.com/v2/adex/dashboard-widgets
Returns system and user-provided analytics widgets.

Tip

Searchable fields are name and description. Default search field is name.

Sortable fields are name, create_time, and update_time. Default sort is -create_time.

Note

The list returns system widgets and widgets created by the user.

Missing resource on GET returns 200 with total 0 and items []. page=all is allowed. Maximum page size is 1000.

Rate limits:

  • Burst: 10/s
  • Steady: 150/m

Query parameters

parameters

Response schemas

curl -X GET \
 "https://api.ocamba.com/v2/adex/dashboard-widgets" \
  -H "Authorization: Bearer {TOKEN}"
const url = 'https://api.ocamba.com/v2/adex/dashboard-widgets';
const options = {
  method: 'GET',
  headers: {
    Authorization: `Bearer {TOKEN}`
  }
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
$ch = curl_init("https://api.ocamba.com/v2/adex/dashboard-widgets");
curl_setopt($ch, CURLOPT_CUSTOMREQUEST, "GET");
curl_setopt($ch, CURLOPT_HTTPHEADER, [
  "Authorization: Bearer {TOKEN}"
]);
curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
$response = curl_exec($ch);

Responses

200 OK

{
  "total": 2,
  "items": [
    {
      "id": "12",
      "company_id": "200",
      "name": "Top browsers",
      "description": "Adex top 5 browsers",
      "system": 1,
      "type": "table",
      "conf": {},
      "ds": {
        "source": "adex.publisher",
        "fields": "browser_name,click",
        "limit": "5"
      },
      "create_time": "2026-03-01 10:00:00",
      "update_time": "2026-03-01 10:00:00"
    },
    {
      "id": "15",
      "company_id": "200",
      "name": "Clicks today",
      "description": null,
      "system": 0,
      "type": "metric",
      "conf": {},
      "ds": {
        "source": "adex.publisher",
        "fields": "click",
        "limit": "1"
      },
      "create_time": "2026-03-10 12:00:00",
      "update_time": "2026-03-12 09:00:00"
    }
  ]
}

400 Bad Request

{
  "code": 400,
  "title": "Bad request.",
  "message": "The request is not valid.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}

500 Internal Server Error

{
  "code": 500,
  "title": "Internal server error.",
  "trace_id": "99a84211-f73d-4ff8-acdf-eb3e06bb9d62"
}
Responses